#version 330 core

in vec3 vert_color;
in vec2 tex_coords;

out vec4 color;

uniform float     mix_factor;
uniform sampler2D texture0;
uniform sampler2D texture1;

void main() {
  color = mix(texture(texture0, tex_coords), texture(texture1, tex_coords), mix_factor);
};
